List a document's signature requests
curl --request GET \
--url https://app.myhero.so/signature/{documentId}/requests \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.myhero.so/signature/{documentId}/requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.myhero.so/signature/{documentId}/requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{}
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}Signatures
List a document's signature requests
The document’s signature requests, newest first: who each went to, which signature blocks are theirs, and how far each recipient has got.
Link secrets and the copy sent are never returned.
Requires read access to the document.
GET
/
signature
/
{documentId}
/
requests
List a document's signature requests
